com.explodingpixels.widgets

## Class ImageUtils

- java.lang.Object
- - com.explodingpixels.widgets.ImageUtils

-     public class ImageUtils
      extends Object

  A utility class for working with `Image`s.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BufferedImage` | `getHorizontalSubImage(Image image, int x, int width)`
    `static BufferedImage` | `getSubImage(Image image, int x, int y, int width, int height)`
    `static BufferedImage` | `getVerticalSubImage(Image image, int y, int height)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getHorizontalSubImage

          public static BufferedImage getHorizontalSubImage(Image image,
                                            int x,
                                            int width)

    - #### getVerticalSubImage

          public static BufferedImage getVerticalSubImage(Image image,
                                          int y,
                                          int height)

    - #### getSubImage

          public static BufferedImage getSubImage(Image image,
                                  int x,
                                  int y,
                                  int width,
                                  int height)